Application Password v1.0.0
Create Application Password
POST
https://my.sitebay.org/f/api/v1/application_password
Users can add a non SiteBay hosted WordPress site.
Authorizations
| OAuth2PasswordBearer | |
| APIKeyCookie |
Request Body Schema
fqdn Required | string |
password Required | string |
team_id Required | string<uuid4> |
username Required | string |
Response Samples
{
"fqdn": null,
"username": null
}{
"detail": [
{
"loc": [
null
],
"msg": null,
"type": null
}
]
}Responses
Successful Response
fqdn Required | string |
username Required | string |
Validation Error
detail | array
of objects
|
Delete Application Password
DELETE
https://my.sitebay.org/f/api/v1/application_password/{fqdn}
Users can delete their application password/username for non SiteBay hosted WordPress site.
Authorizations
| OAuth2PasswordBearer | |
| APIKeyCookie |
Query Parameters
| fqdn |
|
Response Samples
{
"created_at": null,
"fqdn": null,
"id": null,
"password": null,
"team_id": null,
"user_id": null,
"username": null
}{
"detail": [
{
"loc": [
null
],
"msg": null,
"type": null
}
]
}Responses
Successful Response
created_at Required | string<date-time> |
fqdn Required | string |
id | string<uuid4> |
password | |
team_id Required | |
user_id Required | |
username | |
Validation Error
detail | array
of objects
|
Update Application Password
PUT
https://my.sitebay.org/f/api/v1/application_password/{fqdn}
Users can update their application password/username for non SiteBay hosted WordPress site. Can proxy through the WordPress REST API for various functionalities. Do not use for sites already on SiteBay.
Authorizations
| OAuth2PasswordBearer | |
| APIKeyCookie |
Query Parameters
| fqdn |
|
Request Body Schema
fqdn | |
password | |
username | |
Response Samples
{
"fqdn": null,
"username": null
}{
"detail": [
{
"loc": [
null
],
"msg": null,
"type": null
}
]
}Responses
Successful Response
fqdn Required | string |
username Required | string |
Validation Error
detail | array
of objects
|
